Skip to main content
GET
/
v2
/
brands
/
{identifier}
curl --request GET \
  --url https://api.brandapi.io/v2/brands/{identifier} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "domain": "<string>",
  "claimed": true,
  "description": "<string>",
  "longDescription": "<string>",
  "links": [
    {
      "name": "twitter",
      "url": "<string>"
    }
  ],
  "logos": [
    {
      "theme": "dark",
      "formats": [
        {
          "src": "<string>",
          "format": "svg",
          "height": 123,
          "width": 123,
          "size": 123,
          "background": "transparent"
        }
      ],
      "tags": [
        {}
      ],
      "type": "icon"
    }
  ],
  "colors": [
    {
      "hex": "<string>",
      "type": "accent",
      "brightness": 123
    }
  ],
  "fonts": [
    {
      "name": "<string>",
      "type": "title",
      "origin": "google",
      "originId": "<string>",
      "weights": [
        {}
      ]
    }
  ],
  "images": [
    {
      "formats": [
        {
          "src": "<string>",
          "format": "svg",
          "height": 123,
          "width": 123,
          "size": 123,
          "background": "transparent"
        }
      ],
      "tags": [
        {}
      ],
      "type": "banner"
    }
  ],
  "qualityScore": 123,
  "company": {
    "employees": 1,
    "financialIdentifiers": {
      "isin": [
        "<string>"
      ],
      "ticker": [
        "<string>"
      ]
    },
    "foundedYear": 123,
    "industries": [
      {
        "id": "<string>",
        "score": 123,
        "slug": "<string>",
        "name": "<string>",
        "emoji": "<string>",
        "parent": [
          {
            "id": "<string>",
            "slug": "<string>",
            "name": "<string>",
            "emoji": "<string>"
          }
        ]
      }
    ],
    "kind": "EDUCATIONAL",
    "location": {
      "city": "<string>",
      "country": "<string>",
      "countryCode": "<string>",
      "region": "<string>",
      "state": "<string>",
      "subregion": "<string>"
    }
  },
  "isNsfw": true,
  "urn": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.brandsapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Get brand data using a Domain, Brand ID, ISIN, Stock/ETF ticker, or Crypto symbol. This endpoint supports auto-detection of the identifier type. To prevent issues with naming collisions, we recommend using one the explicit type routes:
  • by Domain API - /v2/brands/domain/{domain}
  • by Stock or ETF API - /v2/brands/ticker/{ticker}
  • by ISIN API - /v2/brands/isin/{isin}
  • by Crypto API - /v2/brands/crypto/{symbol}
Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
identifier
string
required
Identifier to retrieve brand data. Accepted formats:
  • Domain: nike.com
  • Brand ID: id_0dwKPKT
  • Stock or ETF ticker: NKE
  • ISIN: US6541061031
  • Crypto symbol: BTC, ETH
Note: When using this generic endpoint, the identifier is resolved in the following order: domain → ticker → isin → crypto. To avoid naming collisions, use explicit type routes: /v2/brands/{type}/{identifier} where type can be domain, ticker, isin, or crypto.
allowNsfw
boolean
hello@devshineteam.com evaluates brands for NSFW content and reserves the right to not return inappropriate brands. Depending on the severity, a brand may either not be returned at all (404), or be returned with its isNsfw property set to true. The allowNsfw query parameter lets you control this behavior:
  • Not set (default) — Some NSFW brands are not returned (404), others are returned with isNsfw: true.
  • true — Returns the brand regardless of its NSFW status.
  • false — Filters out all brands flagged as NSFW (returns 404).
200
application/json
Successful request.
curl --request GET \
  --url https://api.brandapi.io/v2/brands/{identifier} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "domain": "<string>",
  "claimed": true,
  "description": "<string>",
  "longDescription": "<string>",
  "links": [
    {
      "name": "twitter",
      "url": "<string>"
    }
  ],
  "logos": [
    {
      "theme": "dark",
      "formats": [
        {
          "src": "<string>",
          "format": "svg",
          "height": 123,
          "width": 123,
          "size": 123,
          "background": "transparent"
        }
      ],
      "tags": [
        {}
      ],
      "type": "icon"
    }
  ],
  "colors": [
    {
      "hex": "<string>",
      "type": "accent",
      "brightness": 123
    }
  ],
  "fonts": [
    {
      "name": "<string>",
      "type": "title",
      "origin": "google",
      "originId": "<string>",
      "weights": [
        {}
      ]
    }
  ],
  "images": [
    {
      "formats": [
        {
          "src": "<string>",
          "format": "svg",
          "height": 123,
          "width": 123,
          "size": 123,
          "background": "transparent"
        }
      ],
      "tags": [
        {}
      ],
      "type": "banner"
    }
  ],
  "qualityScore": 123,
  "company": {
    "employees": 1,
    "financialIdentifiers": {
      "isin": [
        "<string>"
      ],
      "ticker": [
        "<string>"
      ]
    },
    "foundedYear": 123,
    "industries": [
      {
        "id": "<string>",
        "score": 123,
        "slug": "<string>",
        "name": "<string>",
        "emoji": "<string>",
        "parent": [
          {
            "id": "<string>",
            "slug": "<string>",
            "name": "<string>",
            "emoji": "<string>"
          }
        ]
      }
    ],
    "kind": "EDUCATIONAL",
    "location": {
      "city": "<string>",
      "country": "<string>",
      "countryCode": "<string>",
      "region": "<string>",
      "state": "<string>",
      "subregion": "<string>"
    }
  },
  "isNsfw": true,
  "urn": "<string>"
}